@echo off
rem This script gathers the list of files you have selected for deletion
rem and creates MD5 hashes for them ready to be used by the cleanuptickets script
rem 

cls

ECHO.
ECHO This process has 4 steps
ECHO.
ECHO 1.   Prepearing to run
IF NOT EXIST 00-to-delete\unwanted\. GOTO NoFolder

IF EXIST 00-to-delete\unwanted\thumbs.db attrib -s -h 00-to-delete\unwanted\thumbs.db
IF EXIST 00-to-delete\unwanted\thumbs.db del 00-to-delete\unwanted\thumbs.db

ECHO 2.   Getting list of unwanted files and file hash, this may take a short time
"..\..\..\..\bin\ruby" GenerateMD5s.rb 00-to-delete\unwanted\ NewFilesToDelete.txt

rd 00-to-delete /S /Q

if exist FilesToDelete.txt goto :AppendList

ren NewFilesToDelete.txt FilesToDelete.txt

goto :sortfile

:appendlist
Copy FilesToDelete.txt + NewFilesToDelete.txt FilesToDelete.txt > NUL:

Del NewFilesToDelete.txt

goto :sortfile

:sortfile
ECHO 3.   Created list of files, now sorting
rename FilesToDelete.txt UnsortedFilesToDelete.txt
sort UnsortedFilesToDelete.txt /o FilesToDelete.txt

del UnsortedFilesToDelete.txt

ECHO 4.   Finished creating unwanted file list.
goto :eof

:NoFolder
ECHO.
ECHO The 00-to-delete\unwanted folder does not exist, please run CreateFilesForSelection.bat first
ECHO.
goto :eof
