# GenerateMD5s.rb
# Written by: T Lillington
# Date: Jan 2013     Copyright 2013
# Version 1.0
#
# This program will create a file of MD5s for all the files in the current folder, file name is passed as a command line parameter
#
  require 'digest/md5'
  require 'find'

  directory_to_scan = ARGV[0]
  file_for_MD5s     = ARGV[1]
  
  file_details=[]
  
  Find.find(directory_to_scan) do |file_name|
    file_name = file_name.gsub('/','\\')

    if File.file?(file_name)
       size_in_bytes = File.size(file_name)
      file_md5 = Digest::MD5.hexdigest(File.open(file_name,"rb"){|io| io.read})
      file_details << "%012d" % size_in_bytes + "\t" + file_md5 + "\t" + file_name
    end
  end
 
  File.open(file_for_MD5s, 'w') do |file_out|
    file_out.puts file_details
  end
 